import java.util.Scanner;

import org.yaml.snakeyaml.scanner.ScannerException;

import java.util.Random;

public class Agent1 {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        /*
        Random random = new Random();
        
        while (true) {
            String input = scanner.nextLine();
            System.out.print(random.nextInt(5));
            System.out.print(" ");
            System.out.print(random.nextInt(5));
            System.out.println();
        }*/

        System.out.println("0 0 2 2 5");
        System.out.println("1 1 3 3 5");
        System.out.println("2 2 4 4 5");
        System.out.println("3 3 4 5 5");
        System.out.println("4 4 4 6 5");
    }
}
